<?php
    $json = file_get_contents('php://input');   
    $obj = json_decode($json);
    $id = $obj->flag;
    // Returns a Json
    header('Content-Type: application/json');
    date_default_timezone_set('America/Mexico_City');
    
    
    switch($id){
        
        case '0': //reservar clase
            $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@",$obj->bd);
            $conn->set_charset('utf8');
            //$dia = $obj->dia_clase;
            $dia = $obj->dia_clase -1;
            $array = [];
            /*$query = "SELECT DISTINCT c.*, d.*, e.Nombre,fecha_clase.clientes_registrados
            FROM disciplina d 
            JOIN clase c ON c.Disciplina_idDisciplina = d.idDisciplina
            LEFT JOIN fecha_clase ON c.idClase = fecha_clase.Clase_idClase
            JOIN empleado e ON e.idEmpleado = c.instructor_id
            WHERE c.clase_activa = 1 AND d.idSucursal = '$obj->sucursal' AND c.Dia='$dia'
            ORDER BY c.Dia ASC, c.HoraEntrada ASC";*/
            $query = "SELECT c.*, d.*, e.Nombre
			#(SELECT fecha_clase.clientes_registrados FROM fecha_clase WHERE fecha_clase.fecha_de_clase = 
			#'$obj->fecha' AND fecha_clase.clase_idClase = c.idClase) as 'registrados'
            FROM disciplina d 
            INNER JOIN clase c ON c.Disciplina_idDisciplina = d.idDisciplina
            INNER JOIN empleado e ON e.idEmpleado = c.instructor_id
            WHERE c.clase_activa = 1 AND d.idSucursal = '$obj->sucursal' AND c.Dia='$obj->dia_clase'
            ORDER BY c.Dia ASC, c.HoraEntrada ASC;";
            
            $resultado = $conn->query($query);
            
            $queryP = "SELECT  * FROM(SELECT 
                    socio_servicio.idServicio as 'id',
                    pagos.FechaInicio,
                    servicios.NombreServicio,
                    socio_servicio.idSocio_Servicio AS 'idss',
                    socio_servicio.idSocioTitular as 'st',
                    pagos.FechaFin,
                    socios.sucursal_idSucursal,
                    socios.Activo
                FROM 
                    socio_servicio
                    	INNER JOIN pagos
                	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                        INNER JOIN servicios
                	        ON socio_servicio.idServicio = servicios.idServicio
                        INNER JOIN socios
                	        ON socio_servicio.idSocio = socios.idSocio
                WHERE
                    socio_servicio.idSocio = '$obj->id_cliente'
                    AND pagos.Cancelado = 0  
                    AND pagos.Visible = 1
                    AND socios.Activo != 0
    			GROUP BY
    				socio_servicio.idSocio_Servicio DESC
                ) AS tmp
            GROUP BY
            	tmp.id
            ORDER BY
                tmp.idss DESC;";
            
            $resultadoP = $conn->query($queryP);
            
            /*if(mysqli_num_rows($resultadoP) > 0){
                while($row = $resultadoP->fetch_assoc()){
                    $idSer = $row["idServicio"];
                    $subQuery = "SELECT * FROM servicios_sucursal WHERE servicios_idservicio = '$idSer'";
                    $resultado2 = $conn->selectQuery($subQuery, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
                    if(mysqli_num_rows($resultado2) > 0){
                        if($row_2 = mysqli_fetch_array($resultado2)){
                            if($obj->sucursal != $row_2['sucursal_idsucursal']){
                                $msg = 'No tienes acceso a esta sucursal';
                            }
                        }
                    }
            
                }
            }*/
            
            $day = date('N');
            $dia;
            $array_discinplina;
            $rand = 0;
            $randAux = -1;
            //echo mysqli_num_rows($resultado);
            while($row = $resultado->fetch_assoc()){ //recorremos las disciplinas
                    //echo $rowP['id']."\n";
                $array_paquetes = explode(',',$row['paquetes_asociados']);
                //echo json_encode($row);
                //$array_discinplina[] = $row;
                if($rand == 12){
                    $rand = 0;
                }
                //$rand = $rand + 1;
                //echo $rand."\n";
                //for($i=0; $i<sizeof($array_paquetes); $i++){
                   switch($row['Dia']){
                        case '0':
                            $dia = 'Lunes';
                            break;
                        case '1':
                            $dia = 'Martes';
                            break;
                        case '2':
                            $dia = 'Miercoles';
                            break;
                        case '3':
                            $dia = 'Jueves';
                            break;
                        case '4':
                            $dia = 'Viernes';
                            break;
                        case '5':
                            $dia = 'Sabado';
                            break;
                        case '6':
                            $dia = 'Domingo';
                            break;
                    }
                   
                //}
                $idc = $row['idClase'];
                $numR;
                $idfecha;
                $queryR = "SELECT clientes_registrados AS registro, id_fecha_clase FROM `fecha_clase` 
                WHERE clase_idClase = $idc AND fecha_de_clase = '$obj->fecha'
                GROUP BY fecha_clase.id_fecha_clase DESC LIMIT 1";
                $resultR = $conn->query($queryR);
                if($resultR->num_rows > 0){
                    $rowR = $resultR->fetch_assoc();
                    $idfecha = $rowR['id_fecha_clase'];
                    $numR = $rowR['registro'];
                    if($numR == NULL){
                        $numR = 0;
                    }
                }else{
                    $numR = 0;
                }
                
                
                /*$cupo = $row['Cupo'] - $row['clientes_registrados'];*/
                 $array_discinplina[] = ['idDis'=>$row['idDisciplina'],'paquete_asociado'=>$array_paquetes[$i], 'idClase'=>$row['idClase'],
                    'nombre'=>$row['NombreDisciplina'].' - '.$row['Nombre'],'descripcion'=>$row['Descripcion'],'horario'=>$row['HoraEntrada'].' - '.$row['HoraSalida'], 
                    'cupo' => $row['Cupo'], 'registrado' => $numR, 'id_clase_fecha' => $idfecha ,'dia'=>$dia,'color'=> $rand++.'','paquetes'=>$row['paquetes_asociados'], 
                    'paqueteClase' => $row['paqueteClases'], "reservar_lugar" => $row['reservar_lugar']];
                   
                    
            }
            
            
            /*while($rowP = mysqli_fetch_array($resultadoP)){ //recorremos los paquetes
                for($i=0; $i<sizeof($array_discinplina); $i++){
                    //echo $array_discinplina[$i]['paquete_asociado'].' - '.$rowP['id']."\n";
                               
                    if($array_discinplina[$i]['paquete_asociado'] == $rowP['id']){
                        $array = [$array_discinplina[$i]];
                    }
                }
                
            }*/
            
            echo json_encode($array_discinplina);
            
            $conn->close();
            break;
        
        case '1':
            /*
            SELECT socio_clase.idSocio_Clase,socio_clase.Clase_idClase,DATE_FORMAT(socio_clase.fecha_de_clase,'%d-%m-%Y') AS fecha_clase,socio_clase.status,
            clase.Dia,clase.HoraEntrada,clase.HoraSalida,disciplina.NombreDisciplina
            FROM socio_clase JOIN clase ON socio_clase.Clase_idClase = clase.idClase 
            JOIN disciplina ON clase.Disciplina_idDisciplina = disciplina.idDisciplina 
            WHERE socio_clase.Socios_idSocio = '$obj->id_cliente' 
            AND socio_clase.status = $obj->filter 
            AND socio_clase.fecha_de_clase >= DATE_FORMAT(DATE_SUB(CURDATE(),INTERVAL 7 DAY), '%Y-%m-%d') 
            AND socio_clase.fecha_de_clase <= DATE_FORMAT(DATE_ADD(CURDATE(),INTERVAL 7 DAY), '%Y-%m-%d')
            ORDER BY socio_clase.fecha_de_clase DESC
            */
            $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@",$obj->bd);
            $conn -> set_charset("utf8");
            
            $filtro;
            $array;
            $query =  "SELECT 
                            socio_clase.idSocio_Clase,
                            socio_clase.Clase_idClase,
                            DATE_FORMAT(socio_clase.fecha_de_clase,'%d-%m-%Y') AS fecha_clase,
                            socio_clase.status,
                            clase.Dia,
                            clase.HoraEntrada,
                            clase.HoraSalida,
                            disciplina.NombreDisciplina,
                            (
                                SELECT fecha_clase.id_fecha_clase
                                FROM fecha_clase
                                WHERE fecha_clase.fecha_de_clase = socio_clase.fecha_de_clase
                                  AND fecha_clase.clase_idClase = socio_clase.Clase_idClase
                                ORDER BY fecha_clase.id_fecha_clase DESC
                                LIMIT 1
                            ) AS id_fecha_clase,
                            reservar_lugar.lugar
                        FROM 
                            socio_clase
                        INNER JOIN 
                            clase ON socio_clase.Clase_idClase = clase.idClase
                        INNER JOIN 
                            disciplina ON clase.Disciplina_idDisciplina = disciplina.idDisciplina
                        LEFT JOIN 
                            reservar_lugar ON socio_clase.idSocio_Clase = reservar_lugar.id_socioclase
                                          AND reservar_lugar.cancelado = 0
                        WHERE 
                            socio_clase.Socios_idSocio = '$obj->id_cliente'
                          AND socio_clase.status = $obj->filter
                        ORDER BY 
                            socio_clase.fecha_de_clase DESC";
            //"SELECT socio_clase.idSocio_Clase, socio_clase.Clase_idClase,DATE_FORMAT(socio_clase.fecha_de_clase,'%d-%m-%Y') AS fecha_clase,socio_clase.status,
            //clase.Dia,clase.HoraEntrada,clase.HoraSalida,disciplina.NombreDisciplina,
            //(SELECT fecha_clase.id_fecha_clase
             //FROM fecha_clase WHERE fecha_clase.fecha_de_clase = socio_clase.fecha_de_clase 
             //AND fecha_clase.clase_idClase = socio_clase.Clase_idClase
             //GROUP BY fecha_clase.id_fecha_clase DESC LIMIT 1) AS id_fecha_clase
            //FROM socio_clase 
            //INNER JOIN clase ON socio_clase.Clase_idClase = clase.idClase 
            //INNER JOIN disciplina ON clase.Disciplina_idDisciplina = disciplina.idDisciplina 
            //WHERE socio_clase.Socios_idSocio = '$obj->id_cliente' 
            //AND socio_clase.status = $obj->filter
            //ORDER BY socio_clase.fecha_de_clase DESC";
            
            $resultado = $conn->query($query);
            if($resultado->num_rows > 0){
                
                while($row = $resultado->fetch_assoc()){
                    $array[] = $row;
                }
                echo json_encode($array, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_NUMERIC_CHECK);
            }else{
                echo 'null';
            }
            
            $conn->close();
            break;
    }

?>